Subject: Re: bug#17610: Suggested enhancement to du command

From: Pádraig Brady <[email-masked]>
Date: Tue, 27 May 2014 17:03:45 +0100

tag 17610 notabug
close 17610
stop

On 05/27/2014 08:47 AM, A wrote:
> I would like to request an enhancement to the du utility.
> 
> Being as how (I would assume) most people use du to determine what is taking up all the disk space, I would like to request that du provide output limited to a range of sizes.  For example I want to only see files greater than or equal to 20MB.  This is the greatly preferred option.

v8.21 (2013-02-14) supports this with:

  du -t 20MB

>  Failing this, then I would like to see either
>     a) output formatted so as to be able to feed it to the "sort" utility and get a list of files sorted by size or

v7.5 (2009-08-20) support this with:

  du -h | sort -h

v8.21 also has numfmt which supports this is a more accurate/general manner:

  du -B1 | sort -k1,1n | numfmt --to=iec-i

>     b) an option in du to sort files by size.

Definitely not. sorting is complicated and it's
best to avoid munging multiple functions to a single unit.

> Currently attempting to sort by size results in a mish-mash of pseudo sorted files.  Just so you know, I always use the -h option so as to get human readable format (which for the record is a fantastic option and I would love to see it as the default).

thanks,
Pádraig.